Package ghidra.app.cmd.comments

# Class CodeUnitInfoPasteCmd

java.lang.Object
ghidra.app.cmd.comments.CodeUnitInfoPasteCmd

All Implemented Interfaces:
  `Command<Program>`

public class CodeUnitInfoPasteCmd extends Object implements Command<Program>
Undoable edit for pasting code unit information at a location. This class actually does the work of the "paste."

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeUnitInfoPasteCmd(Address startAddr, List<CodeUnitInfo> infoList, boolean pasteLabels, boolean pasteComments)`
  Creates a new command for pasting comments/labels.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  The name of the edit action.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CodeUnitInfoPasteCmd

    public CodeUnitInfoPasteCmd(Address startAddr, List<CodeUnitInfo> infoList, boolean pasteLabels, boolean pasteComments)
    Creates a new command for pasting comments/labels.
    Parameters:
      `startAddr` - starting address for info
      `infoList` - list of CodeUnitInfo objects that will be applied
      `pasteLabels` - true if labels should be applied, else false
      `pasteComments` - true if comments should be applied, else false

- ## Method Details

  - ### getName

    public String getName()
    The name of the edit action.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful
    See Also:
      - `Command.getStatusMsg()`